> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Skill の取得

> ID で単一の Skill を取得します。

`GET /api/v1/cloud/skills/{skill_id}`

ID を指定して単一の Skill の詳細を取得します。

## パスパラメータ

| パラメータ      | 型      | 必須 | 説明           |
| ---------- | ------ | -- | ------------ |
| `skill_id` | string | はい | Skill の一意識別子 |

## クエリパラメータ

| パラメータ             | 型       | 必須  | 説明                                                    |
| ----------------- | ------- | --- | ----------------------------------------------------- |
| `include_content` | boolean | いいえ | `true` に設定すると base64 エンコードされた Skill 内容を `content` に含む |

## ヘッダー

| ヘッダー            | 必須 | 説明                  |
| --------------- | -- | ------------------- |
| `Authorization` | はい | `Bearer $QODER_PAT` |

## リクエスト例

```bash theme={null}
curl -X GET https://api.qoder.com/api/v1/cloud/skills/skill_019e3bba474b73cfaf19eae9b5f5e66d \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "type": "skill",
  "display_title": "test-skill-api-doc",
  "description": "A test skill for API documentation",
  "source": "custom",
  "latest_version": "1",
  "metadata": {
    "team": "docs"
  },
  "created_at": "2026-05-18T15:35:24.248164Z",
  "updated_at": "2026-05-18T15:35:24.248164Z"
}
```

## レスポンスフィールド

| フィールド              | 型      | 説明                                                                  |
| ------------------ | ------ | ------------------------------------------------------------------- |
| `id`               | string | `skill_` プレフィックス付きの Skill 一意識別子                                     |
| `type`             | string | 固定値 `"skill"`                                                       |
| `display_title`    | string | 保存された Skill 名から導出される表示タイトル                                          |
| `description`      | string | Skill の説明                                                           |
| `source`           | string | Skill のソース：`custom` または `qoder`                                     |
| `latest_version`   | string | 文字列形式の最新バージョン番号                                                     |
| `metadata`         | object | Skill に保存されるカスタムメタデータオブジェクト。デフォルトは `{}`                             |
| `content`          | string | base64 エンコードされた Skill 内容。`include_content=true` 指定時かつ内容が利用可能な場合のみ存在 |
| `content_encoding` | string | `content` とともに存在。値は `"base64"`                                      |
| `created_at`       | string | 作成時刻（ISO 8601）                                                      |
| `updated_at`       | string | 最終更新時刻（ISO 8601）                                                    |

## エラーレスポンス

| HTTP | type              | 説明                                                           |
| ---- | ----------------- | ------------------------------------------------------------ |
| 401  | `TOKEN_INVALID`   | 認証トークンが欠落または無効                                               |
| 404  | `not_found_error` | Skill が存在しないまたはアクセス不可: "Skill '\{skill\_id}' was not found." |

完全なエラーエンベロープについては [エラー](/ja/cloud-agents/api/conventions/errors) を参照してください。

## 関連項目

<CardGroup cols={2}>
  <Card title="Agent スキル" icon="sparkles" href="/ja/cloud-agents/skills">
    Agent にドメインの専門知識を付与する。
  </Card>
</CardGroup>
